// Copyright (C) 2024  AstroGD® Lukas Weber
import { v } from "../util";

export default function* allValuesBlock(): Generator<number[], null, undefined> {
  let count = 0;
  for (const x of [1, 4, 7]) {
    for (const y of [1, 4, 7]) {
      for (let w = 1; w < 10; w++) {
        yield [
          v(x, y, w),
          v(x, y + 1, w),
          v(x, y + 2, w),
          v(x + 1, y, w),
          v(x + 1, y + 1, w),
          v(x + 1, y + 2, w),
          v(x + 2, y, w),
          v(x + 2, y + 1, w),
          v(x + 2, y + 2, w),
        ];
        count++;
      }
    }
  }

  console.log("allValuesBlock: " + count);

  return null;
}

export const length = 3 * 3 * 9;
